#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Created on Tue Oct 15 09:03:04 2024

@author: benjaminlear
"""

# Dashes and hyphens
em_dash = '\u2014'  # — em dash
en_dash = '\u2013'  # – en dash
figure_dash = '\u2012'  # ‒ figure dash
hyphen = '\u002D'  # - hyphen

# Ellipsis
ellipsis = '\u2026'  # … ellipsis

# Symbols
copyright_ = '\u00A9'  # © copyright symbol (use underscore to avoid conflict with reserved keyword)
registered = '\u00AE'  # ® registered trademark symbol
trademark = '\u2122'  # ™ trademark symbol
section = '\u00A7'  # § section symbol
paragraph = '\u00B6'  # ¶ pilcrow (paragraph symbol)

# Bullet and list markers
bullet = '\u2022'  # • bullet
middle_dot = '\u00B7'  # · middle dot
degree = '\u00B0'  # ° degree symbol

# Miscellaneous symbols
dagger = '\u2020'  # † dagger
double_dagger = '\u2021'  # ‡ double dagger
prime = '\u2032'  # ′ prime
double_prime = '\u2033'  # ″ double prime
permille = '\u2030'  # ‰ per mille
plus_minus = '\u00B1'  # ± plus/minus symbol



# Superscript symbols
sup_0: str = '\u2070'  # ⁰ superscript 0
sup_1: str = '\u00B9'  # ¹ superscript 1
sup_2: str = '\u00B2'  # ² superscript 2
sup_3: str = '\u00B3'  # ³ superscript 3
sup_4: str = '\u2074'  # ⁴ superscript 4
sup_5: str = '\u2075'  # ⁵ superscript 5
sup_6: str = '\u2076'  # ⁶ superscript 6
sup_7: str = '\u2077'  # ⁷ superscript 7
sup_8: str = '\u2078'  # ⁸ superscript 8
sup_9: str = '\u2079'  # ⁹ superscript 9
sup_plus: str = '\u207A'  # ⁺ superscript +
sup_minus: str = '\u207B'  # ⁻ superscript –
sup_left_paren: str = '\u207D'  # ⁽ superscript (
sup_right_paren: str = '\u207E'  # ⁾ superscript )
sup_equal: str = '\u207C'  # ⁼ superscript =

# Superscript capital letters
sup_A: str = '\u1d2c'  # ᴬ superscript A
sup_B: str = '\u1d2e'  # ᴮ superscript B
sup_C: str = '\u1d9c'  # ᶜ superscript C
sup_D: str = '\u1d30'  # ᴰ superscript D
sup_E: str = '\u1d31'  # ᴱ superscript E
sup_F: str = '\u1d32'  # ᴲ superscript F
sup_G: str = '\u1d33'  # ᴳ superscript G
sup_H: str = '\u1d34'  # ᴴ superscript H
sup_I: str = '\u1d35'  # ᴵ superscript I
sup_J: str = '\u1d36'  # ᴶ superscript J
sup_K: str = '\u1d37'  # ᴷ superscript K
sup_L: str = '\u1d38'  # ᴸ superscript L
sup_M: str = '\u1d39'  # ᴹ superscript M
sup_N: str = '\u1d3a'  # ᴺ superscript N
sup_O: str = '\u1d3c'  # ᴼ superscript O
sup_P: str = '\u1d3e'  # ᴾ superscript P
sup_Q: str = '\u1d3f'  # ᵠ superscript Q
sup_R: str = '\u1d40'  # ᴿ superscript R
sup_S: str = '\u1d41'  # ᵀ superscript S
sup_T: str = '\u1d42'  # ᵁ superscript T
sup_U: str = '\u1d43'  # ᵁ superscript U
sup_V: str = '\u1d47'  # ᵛ superscript V
sup_W: str = '\u1d48'  # ʷ superscript W
sup_X: str = '\u1d49'  # ˣ superscript X
sup_Y: str = '\u1d4a'  # ʸ superscript Y
sup_Z: str = '\u1d4b'  # ᶻ superscript Z

# Superscript lowercase letters
sup_a: str = '\u1d43'  # ᵃ superscript a
sup_b: str = '\u1d47'  # ᵇ superscript b
sup_c: str = '\u1d9c'  # ᶜ superscript c
sup_d: str = '\u1d48'  # ᵈ superscript d
sup_e: str = '\u1d49'  # ᵉ superscript e
sup_f: str = '\u1da0'  # ᶠ superscript f
sup_g: str = '\u1d4d'  # ᵍ superscript g
sup_h: str = '\u02b0'  # ʰ superscript h
sup_i: str = '\u2071'  # ⁱ superscript i
sup_j: str = '\u02b2'  # ʲ superscript j
sup_k: str = '\u1d4f'  # ᶿ superscript k
sup_l: str = '\u02e1'  # ˡ superscript l
sup_m: str = '\u1d50'  # ᵐ superscript m
sup_n: str = '\u207f'  # ⁿ superscript n
sup_o: str = '\u1d52'  # ᵒ superscript o
sup_p: str = '\u1d56'  # ᵖ superscript p
sup_q: str = '\u1d4a'  # ᶽ superscript q
sup_r: str = '\u02b3'  # ʳ superscript r
sup_s: str = '\u02e2'  # ˢ superscript s
sup_t: str = '\u1d57'  # ᵗ superscript t
sup_u: str = '\u1d58'  # ᵘ superscript u
sup_v: str = '\u1d5b'  # ᵛ superscript v
sup_w: str = '\u02b7'  # ʷ superscript w
sup_x: str = '\u02e3'  # ˣ superscript x
sup_y: str = '\u02b8'  # ʸ superscript y
sup_z: str = '\u1d4b'  # ᶻ superscript z​
